# base-server
apiVersion: apps/v1
kind: Deployment
metadata:
  namespace: ns-f16a3067ca7b434aad127d15eac82503
  name: base-server
  labels:
    app: base-server
  annotations:
    version: "VERSION_PLACEHOLDER"
    description: DESC_PLACEHOLDER
    rollout.kubernetes.io/change-cause: "DESC_PLACEHOLDER:VERSION_PLACEHOLDER"
spec:
  replicas: 1
  selector:
    matchLabels:
      app: base-server
  template:
    metadata:
      labels:
        app: base-server
    spec:
      dnsConfig:
        nameservers:
          - 172.16.36.16
          - 172.16.36.220
      dnsPolicy: None
      containers:
        - name: base-server
          image: 172.16.46.66:10043/yudao/base-server:VERSION_PLACEHOLDER
          env:
            - name: TZ
              value: Asia/Shanghai
          readinessProbe:
            httpGet:
              path: /actuator/health
              port: 48100
            initialDelaySeconds: 50
            periodSeconds: 5
            failureThreshold: 3
          livenessProbe:
            httpGet:
              path: /actuator/health
              port: 48100
            initialDelaySeconds: 50
            periodSeconds: 10
            failureThreshold: 5
          resources:
            requests:
              cpu: "1000m"
              memory: "1024Mi"
            limits:
              cpu: "1000m"
              memory: "2048Mi"
      terminationGracePeriodSeconds: 30
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
---
apiVersion: v1
kind: Service
metadata:
  namespace: ns-f16a3067ca7b434aad127d15eac82503
  name: base-server
spec:
  type: NodePort
  selector:
    app: base-server
  ports:
    - name: http
      protocol: TCP
      port: 48100
      targetPort: 48100
      nodePort: 30097
    - name: xxl-job
      protocol: TCP
      port: 9999
      targetPort: 9999
      nodePort: 30197
